Bug 1383736 - CPUFREQ empty
Summary: CPUFREQ empty
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-10-11 15:57 UTC by Nicolas R.
Modified: 2016-11-28 15:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-20 12:56:56 UTC


Attachments (Terms of Use)

Description Nicolas R. 2016-10-11 15:57:26 UTC
Description of problem:

On FC24 for ARM, the CPUFREQ seems missing on kernel 4.7.6-200 for ARMV7HL
It was existing in default kernel in image (4.5.5-300)



Version-Release number of selected component (if applicable):
4.7.6-200


How reproducible:
Boot as 4.7.6-300 kernel.
Folder /sys/device/system/cpu/cpufreq is empty.


Image is Fedora 24 server for BananaPi

Comment 1 Peter Robinson 2016-10-12 11:17:07 UTC
Can you see if you can work out where it disappeared? Was it there for the 4.6.x kernel series?

Comment 2 Nicolas R. 2016-10-12 15:25:56 UTC
Of course.
Following kernels here https://kojipkgs.fedoraproject.org/packages/kernel/
The 4.6.7-300 doesn't work too.
Trying other one and tell you here asap.

Comment 3 Nicolas R. 2016-10-12 16:54:37 UTC
Working on last 4.5.x for FC24 (4.5.7-300).
Not working on first 4.6 for FC24 (4.6.3-300)

So it was lost on 4.6 :(

Comment 4 Peter Robinson 2016-10-15 11:49:31 UTC
https://paste.fedoraproject.org/450440/14765313/

So there's nothing specific to cpufreq that's changed between those kernel configs. The expected module (cpufreq-dt.ko) is still there. So the question is what else has changed...

Comment 5 Peter Robinson 2016-11-01 14:04:10 UTC
I think this should now be fixed with kernel-4.8.4-200.fc24

$ cat /sys/bus/cpu/devices/cpu0/cpufreq/scaling_governor
ondemand
$ cat /sys/bus/cpu/devices/cpu0/cpufreq/cpuinfo_cur_freq
350000
$ cat /sys/bus/cpu/devices/cpu0/cpufreq/cpuinfo_max_freq
920000

Comment 6 Nicolas R. 2016-11-28 15:12:25 UTC
Cannot try my bananapi is not available :(


Note You need to log in before you can comment on or make changes to this bug.